Bug 608651 - “rulefailed.consumer.type.mismatch” displayed while subscribe pool not displayed in available list
Summary: “rulefailed.consumer.type.mismatch” displayed while subscribe pool not displa...
Status: CLOSED UPSTREAM
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 636830
TreeView+ depends on / blocked
 
Reported: 2010-06-28 11:47 UTC by spandey
Modified: 2015-05-14 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 18:19:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description spandey 2010-06-28 11:47:32 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Prerequisite : 
Candlepin : standalone candlepin (10.16.120.139) configured via fog machine
Client : RHEL6 client with SM version 66 

Steps to repro : 

1) Login to client console with valid credentials 
2) execute following command on console to find pool list 

[root@sachrhel6 ~]# subscription-manager-cli list --available | grep Pool

PoolId:                 4                        

PoolId:                 9                        

PoolId:                 6                        

PoolId:                 2                        

PoolId:                 5                        

PoolId:                 1                        

PoolId:                 7                        

PoolId:                 10                       


Note : pool id 3 and 8 is not available 

subscribe for pool id 3 & 8  with following command 

subscription-manager-cli subscribe –pool=3
subscription-manager-cli subscribe –pool=8

Expected Result : 
Proper Message should display invalid pool id 

Actual Result : 
Following message getting displayed while subscribe pool = 3
rulefailed.consumer.type.mismatch

cert is downloaded in rhsm.log file while subscribe pool=8 

Find the attached rhsm.log

Comment 1 Adrian Likins 2010-07-12 17:41:07 UTC
Looking at the rules, consumer type is an error, while wrong arch is just a warning. So I think it's doing the right thing as per the rules. Not sure if arch mismatch should be en error or a warning. 

I've got a patch to change it to something like:

[adrian@alikins subscription-manager]$ PYTHONPATH=src/ sudo python src/managercli.py subscribe --pool 3
Unable to subscribe to pool 3: rulefailed.consumer.type.mismatch

Is that close enough?  To get much more info, we need to return more info about why the rules failed in the entitlement exception from the server.


Note You need to log in before you can comment on or make changes to this bug.